List Payments
Get payment list
Authentication
X-Auth-Tokenstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |
Query parameters
offset
Pagination offset
limit
Pagination limit
orderBy
"DESC" or "ASC"
Allowed values:
sortBy
Sort by the field value
searchBy
Filter by a field
Allowed values:
q
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
customerName
Query by invoice B2B Edition company name
invoiceId
Query by Invoice ID
processingStatus
payment processing status(0=“Incomplete”, 1=“Awaiting Processing”, 2=“Processing”, 3=“Completed”, 4=“Refunded”)
Allowed values:
channelIds
Query by BigCommerce Channel IDs. This parameter is not needed if you don't have multiple storefront channels.
Response
OK
code
data
meta